"use strict";
var path = require('path');
var fs = require("fs");
var env = process.env.env_config;
exports.interpolateHTMLAssets = function (fileKey, content, config) {
    var reIgnorePath = /^(?:(https?:)?\/\/)|(?:data:)/;
    var reImport = /(?:<(?:link|script|img)[^>]+(?:src|href)\s*=\s*)(['"]?)([^'"\s>]+)\1/g;
    var replaceData = content.replace(reImport, function (match, _, pathKey) {
        if (reIgnorePath.test(pathKey))
            return match;
        var pathSource = path.basename(pathKey);
        return match.replace(pathKey, "https://assets.dreame.com/dreame/wehear-h5/".concat(env, "/file/").concat(pathSource));
    });
    return replaceData;
};
exports.interpolateCssAssets = function (content) {
    var re = /url\((?!['"]?(?:data:|https?:|\/\/))(['"]?)([^'")]*)\1\)/g;
    return content.replace(re, function (match, _, pathKey) {
        var isImg = /\.(jpg|jpeg|png|gif|bmp)$/.test(pathKey);
        var cdnPathKey = isImg ? "image" : "file";
        // if (reIgnorePath.test(path)) return match;
        var pathSource = path.basename(pathKey);
        return match.replace(pathKey, "https://assets.dreame.com/dreame/wehear-h5/".concat(env, "/").concat(cdnPathKey, "/").concat(pathSource));
    });
};
