export interface Configuration {
    /** whether to write webpack assets in local fs (usually for debugging) */
    keepLocalFiles?: boolean;
    /** whether to keep sourcemap assets in local fs */
    keepSourcemaps?: boolean;
    /** whether to backup the original html assets */
    backupHTMLFiles?: boolean;
    /**
     * name of the json file which keeps the url mapping
     * (usually for debugging). `false` means that you do
     * not need this file.
     */
    manifestFilename?: string | boolean;
    token?: string;
    bucket?: string;
    is_remain_filename?: boolean;
    is_use_cdn?: boolean;
    is_use_https?: boolean;
    env?: string;
    interface_ip: string;
    assets_domain_name: string;
    is_debug: boolean;
    folder?: string;
}

export type EnvProps = "test" | "test-oversea" | "prod";

export type FormProps = {
    file: {
        value: Buffer,
        options: {
            filename: string; 
        }
    }
} & Configuration;

export type StorageInterface = {
    value: string
}
